Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

gmime-tools-2.4.26-2.1.2 RPM for x86_64

From OpenSuSE 12.1 for x86_64

Name: gmime-tools Distribution: openSUSE 12.1
Version: 2.4.26 Vendor: openSUSE
Release: 2.1.2 Build date: Sun Oct 30 04:17:31 2011
Group: Productivity/Networking/Email/Utilities Build host: build27
Size: 343529 Source RPM: gmime-2.4.26-2.1.2.src.rpm
Packager: http://bugs.opensuse.org
Url: http://spruce.sourceforge.net/gmime/
Summary: MIME Parser and Utility Library -- Tools
GMime is a C/C++ library for parsing and creating messages using
the Multipurpose Internet Mail Extension (MIME).

Provides

Requires

License

LGPLv2.1+ ; Public Domain, Freeware ; MIT License (or similar)

Changelog

* Tue Aug 09 2011 dimstar@opensuse.org
  - Update to version 2.4.26:
    + Don't skip validation of UTF-8 text.
    + Improved logic.
    + Bugs fixed: bgo#652056
* Mon Jul 04 2011 vuntz@opensuse.org
  - Rename gmime-2_4 source package to gmime, overwriting the old
    gmime source package that was tracking the now unused 2.2.x
    branch (bnc#635094).
  - Update to version 2.4.25:
    + Fix a crash.
    + Fix for MacOS X.
  - Changes from version 2.4.24:
    + Fix PGP/MIME signature verification (broken in 2.4.23).
    + Depend on glib-sharp instead of gtk-sharp.
    + Documentation fixes.
  - Changes from version 2.4.23:
    + Fixes for EXPSIG, EXPKEYSIG, and REVKEYSIG gpg status.
    + Documentation fixes.
  - Changes from version 2.4.22:
    + Fixed memory stream writes.
  - Remove gtk-sharp2 BuildRequires.
  - Move to pkgconfig()-style BuildRequires:
    + Old ones: glib2-devel, glib-sharp2, gtk-sharp2-gapi.
    + New ones: glib-2.0, glib-sharp-2.0, gapi-2.0.
  - Remove explicit Requires for glib2-devel and glibc-devel in devel
    subpackage.
  - Remove now unneeded Requires for gtk-sharp2 in sharp subpackage.
  - Remove Conflicts with gmime < 2.4 as we now provide this.
  - Merge doc subpackage in devel subpackage, and add appropriate
    Provides/Obsoletes.
  - Create a tools subpackage, and move the binaries from the main
    subpackage to this new tools subpackage.
  - Add Provides/Obsoletes for old names (before renaming) to the
    tools subpackage, the sharp and the devel subpackages.
  - Change group of libgmime-2_4-2 from Development/Libraries/C and
    C++ to System/Libraries.
  - Drop call to autoreconf: there's nothing requiring it.
  - Update summaries and descriptions.
* Wed Dec 15 2010 vuntz@opensuse.org
  - Update to version 2.4.21:
    + Do not write to filesystem when checking a GPG signature.
    + Make error messages more consistent.
    + When decoding an address, handle edge cases where inptr reaches
      the end of the input string prematurely due to a malformed
      address.
    + Code fixes.
  - Changes from version 2.4.20:
    + When encoding, if the last input character is not a \n, append
      an "=\n" sequence.
    + Fixes for when there's no end marker.
    + Drop support for iso-2022-kr, and use euc-kr instead.
    + Code fixes.
* Tue Sep 14 2010 vuntz@opensuse.org
  - Update to version 2.4.19:
    + Handle unquoted boundary values containing '=' (and other
      illegal characters).
    + Implement rfc2047-workaround hack in
      g_mime_utils_header_decode_phrase(), like in
      g_mime_utils_header_decode_text().
    + Keep track of the number of ='s that are backed out over in
      g_mime_encoding_base64_decode_step().
    + Fix crash when a group name is unset in InternetAddress.
    + Fix build with old glib (2.12).
  - Changes from version 2.4.18:
    + Fix abusive unref in g_mime_multipart_encrypted_decrypt().
    + Internal rework of setting a name on InternetAddress.
* Sun Aug 22 2010 dimstar@opensuse.org
  - Update to version 2.4.17:
    + gmime/gmime-encodings.h (GMIME_QP_ENCODE_LEN): Since
      force-wrapped lines use "=\n" instead of just "\n", lines will
      be 74 bytes, not 73.
  - Changes from version 2.4.16:
    + Fixed to take into acount the possibility of having to
      force-wrap lines at 72+ characters.
    + bgo#615685: Added a --disable-cryptography flag to allow
      building without GnuPG or S/MIME support.
    + bgo#615594: Use g_set_error_literal() when no printf-style
      arguments are needed
    + bgo#598855: Mime-Version header re-written to MIME-Version.
* Fri Feb 12 2010 vuntz@opensuse.org
  - Update to version 2.4.15:
    + Prevent possible buffer overflows.
  - Changes from version 2.4.14:
    + Disable strict-aliasing since it cause bugs.
  - Changes from version 2.4.13:
    + bgo#606875 -do not try to skip multiple characters per pass
      thru the loop when encountering the first '.' of a possible
      '..' sequence.
  - Changes from version 2.4.12:
    + Moved -lz -lnsl, etc into Libs.private in pkg-config file
      (bgo#603273).
    + Make sure to always increment inptr as we force-convert it to
      ascii.
  - Changes from version 2.4.11:
    + Fixed the military timezone offsets.
    + Fix ptr_array_insert() code to correctly work.
  - Changes from version 2.4.10:
    + Fixed a uudecoding bug when uulen % 3 is 2 (bgo#597794).
  - Changes from version 2.4.9:
    + Fixed the target library version in gmime-sharp.dll.config.
* Fri Dec 18 2009 crrodriguez@opensuse.org
  - Remove unneeded zlib-devel Requires in devel subpackage.
* Fri Aug 14 2009 sbrabec@suse.cz
  - Updated to version 2.4.8:
    * Fixed possible buffer overrun in charset conversion code.
    * Compilation on systems with older GLib installations.
    * Cross-compilation simplified.
* Tue Aug 04 2009 sbrabec@suse.cz
  - Removed unneeded Requires.
* Wed Jul 01 2009 sbrabec@suse.cz
  - Split package for the new branch.
  - Updated to version 2.4.7:
    * Major rewrite, new API. See ChangeLog for details.

Files

/usr/bin/gmime-uudecode
/usr/bin/gmime-uuencode
/usr/share/doc/packages/gmime-tools
/usr/share/doc/packages/gmime-tools/AUTHORS
/usr/share/doc/packages/gmime-tools/COPYING
/usr/share/doc/packages/gmime-tools/ChangeLog
/usr/share/doc/packages/gmime-tools/PORTING
/usr/share/doc/packages/gmime-tools/README
/usr/share/doc/packages/gmime-tools/TODO


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Dec 10 11:09:12 2014